import { AfterContentInit, QueryList, ElementRef, OnDestroy, EventEmitter } from '@angular/core';
import * as PhotoSwipe from 'photoswipe';
import { GalleryItemComponent } from '../gallery-item/gallery-item.component';
import { Image } from '../image';
import { NgpService } from '../ngp.service';
import { Subscription } from 'rxjs';
import { LightboxAdapter } from '../lightbox-adapter';
export declare class GalleryComponent implements AfterContentInit, OnDestroy {
    private ngp;
    private adapter;
    galleryElement: ElementRef<HTMLDivElement>;
    galleryItems: QueryList<GalleryItemComponent>;
    galleryId: string;
    shareLinkClick: EventEmitter<{
        e: Event;
        target: HTMLElement;
    }>;
    subscriptions: Subscription[];
    isBootstrapEnabled: boolean;
    pswp: PhotoSwipe;
    images: Image[];
    constructor(ngp: NgpService, adapter: LightboxAdapter);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    onClick(data: any): void;
    private openPhotoSwipe;
    private getImagesAsPhotoswipe;
}
